> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rescan.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# All Distribution Roots

> Fetches distinct distribution root entries with their latest information, supporting pagination and filtering based on various query parameters.



## OpenAPI

````yaml get /eigenlayer/all-distribution-roots
openapi: 3.0.1
info:
  title: OpenAPI Rescan Explorer
  description: Api reference for the Rescan Explorer
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.blockflow.network/rest
security: []
paths:
  /eigenlayer/all-distribution-roots:
    get:
      summary: All Distribution Roots
      description: >-
        Fetches distinct distribution root entries with their latest
        information, supporting pagination and filtering based on various query
        parameters.
      operationId: getDistributionRoots
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            description: The page number for pagination (default is 1).
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 12
            description: The number of items per page (default is 12).
        - name: rootIndex
          in: query
          required: false
          schema:
            type: string
            description: The root index to filter the distribution roots.
        - name: active
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to filter by active status (true or false).
        - name: startTimestamp
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: The start timestamp to filter distribution roots.
        - name: endTimestamp
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: The end timestamp to filter distribution roots.
      responses:
        '200':
          description: Successful response with distribution root data
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        rootIndex:
                          type: string
                          description: The unique identifier for the distribution root.
                        root:
                          type: string
                          description: >-
                            The root value associated with the distribution
                            root.
                        rewardsCalculationEndTimestamp:
                          type: string
                          format: date-time
                          description: >-
                            The timestamp marking the end of the rewards
                            calculation.
                        activatedAt:
                          type: string
                          format: date-time
                          description: >-
                            The timestamp when the distribution root was
                            activated.
                        active:
                          type: boolean
                          description: Indicates whether the distribution root is active.
                        updatedAt:
                          type: object
                          properties:
                            blockNumber:
                              type: string
                              description: The block number for the last update.
                            blockTimestamp:
                              type: string
                              format: date-time
                              description: >-
                                The timestamp of the block when the last update
                                occurred.
                            transactionHash:
                              type: string
                              description: The transaction hash of the last update.
                        createdAt:
                          type: object
                          properties:
                            blockNumber:
                              type: string
                              description: >-
                                The block number when the distribution root was
                                created.
                            blockTimestamp:
                              type: string
                              format: date-time
                              description: >-
                                The timestamp of the block when the distribution
                                root was created.
                            transactionHash:
                              type: string
                              description: >-
                                The transaction hash when the distribution root
                                was created.
                        timestamp:
                          type: string
                          format: date-time
                          description: >-
                            The timestamp when the distribution root was
                            created.
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                        description: The total number of distribution roots.
                      page:
                        type: integer
                        description: The current page number.
                      limit:
                        type: integer
                        description: The number of items per page.
                      totalPages:
                        type: integer
                        description: The total number of pages.
                      hasMore:
                        type: boolean
                        description: Indicates whether there are more pages.
                      statistics:
                        type: object
                        properties:
                          totalDistributionRoots:
                            type: integer
                            description: The total number of distribution roots.
                          activeDistributionRoots:
                            type: integer
                            description: The total number of active distribution roots.
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.rescan.dev.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.rescan.dev.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.rescan.dev.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: https://docs.rescan.dev.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.rescan.dev.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.rescan.dev.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.rescan.dev.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````